package org.springblade.community.feign;

import org.springblade.community.entity.Room;
import org.springblade.community.vo.RoomVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class RoomClientFallback implements IRoomClient {
            /**
         * 详情
         */
        @Override
        public RoomVO detail(Room room) {
            return null;
        }

	@Override
	public Room getById(Long id) {
		return null;
	}

	/**
         * 查询 房间表
         */
        @Override
        public List<RoomVO> list(Room room) {
            return null;
        }



        /**
         * 新增 房间表
         */
        @Override
        public boolean save( Room room) {
            return false;
        }

        /**
         * 修改 房间表
         */
        @Override
        public boolean update( Room room) {
            return false;
        }

        /**
         * 新增或修改 房间表
         */
        @Override
        public boolean submit( Room room) {
            return false;
        }


        /**
         * 删除 房间表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public List<RoomVO> getListByRoomIds(List<Long> ids) {
		return new ArrayList<>();
	}

}
